#ifndef MYIDEDISKWIN32_H
#define MYIDEDISKWIN32_H

/*
   MyideDiskWin32 - direct drive access for Win32

   Copyright (C) 2006 Matthias Reichl <hias@horus.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <windows.h>

#include "MyideDisk.h"

class MyideDiskWin32 : public MyideDisk {
public:
	MyideDiskWin32(const char* filename);
	virtual ~MyideDiskWin32();

protected:
	virtual bool ReadBlock(unsigned int sector);
	virtual bool WriteBlock(unsigned int sector);

private:
	bool SeekToSector(unsigned int sector);

	typedef MyideDisk super;

	HANDLE fHandle;
};

#endif
