/*
   SimpleProgressIndicator - output progress in percent

   Copyright (C) 2007 Matthias Reichl <hias@horus.com>

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#include <stdio.h>
#include "SimpleProgressIndicator.h"

SimpleProgressIndicator::SimpleProgressIndicator(size_t end_pos)
	: super(end_pos, 100)
{ }

SimpleProgressIndicator::~SimpleProgressIndicator()
{ }

void SimpleProgressIndicator::DisplayProgress(size_t current_pos)
{
	UpdateIndicator(current_pos);
	if (NeedUpdate()) {
		if (NeedErase()) {
			printf("\b\b\b\b");
		}
		printf("%3d%%", (unsigned int) GetCurrentStep());
		fflush(stdout);
	}
}

void SimpleProgressIndicator::FinishProgress()
{
	AbortIndicator();
}
