#include <stdio.h>
#include <stdlib.h>

// convert from 8bit to 4 bit
// return number of blocks converted
unsigned int do_convert(FILE* infile, FILE* outfile, unsigned int blocksize)
{
	unsigned char inbuf[blocksize];
	unsigned char outbuf[blocksize];

	unsigned int blocks = 0;

	unsigned int i;

	while (1) {
		if (fread(inbuf, blocksize, 1, infile) != 1) {
			return blocks;
		}
		for (i=0;i<blocksize;i++) {
			outbuf[i] = (inbuf[i] >> 4 ) | 0x10;
		}
		if (fwrite(outbuf, blocksize, 1, outfile) != 1) {
			printf("error writing to output file\n");
			return blocks;
		}
		blocks++;
	}

}

int main(int argc, char** argv)
{
	char* inname;
	char* outname;

	printf("MyIDE audio converter V0.01 (c) 2007 by Matthias Reichl <hias@horus.com>\n");

	if (argc != 3) {
		printf("\nusage: myaudio infile outfile\n");
		return 1;
	}

	inname = argv[1];
	outname = argv[2];

	FILE *infile = fopen(inname, "rb");
	if (!infile) {
		printf("error opening input file %s\n", inname);
		return 1;
	}

	FILE *outfile = fopen(outname, "wb");
	if (!outfile) {
		printf("error creating output file %s\n", outname);
		return 1;
	}

	unsigned int blocks = do_convert(infile, outfile, 256);
	printf("converted %d 256-byte blocks\n", blocks);

	fclose(infile);
	fclose(outfile);
}
